<form class="b-form" [formGroup]="birthDateForm">
  <tui-input-date
    formControlName="birthday"
    tuiUnfinishedValidator="Finish filling the field"
  >
    Введите дату рождения
  </tui-input-date>
  <button
    tuiButton
    type="button"
    appearance="custom"
    class="tui-space_right-3 tui-space_bottom-3"
    (click)="updateDate()"
  >
    Хто я?
  </button>
</form>

<div class="container">
  <div *ngFor="let circle of outer_numbers">
    <div
      *ngIf="outer_numbers[0].num"
      tuiDropdownHover
      class="circle"
      [tuiDropdown]="content"
      [tuiDropdownHideDelay]="0"
      (click)="showTextOuterCircle(circle)"
    >
      {{ circle.num }}
    </div>
    <ng-template #content>
      <div class="tui-space_auto" style="overflow-x:auto;">
        <table tuiTable [columns]="columns" class="tui-space_bottom-3">
          <thead>
            <tr tuiThGroup>
              <th *tuiHead="'plus'" tuiTh [sorter]="null" [resizable]="false">
                Энергия в плюсе
              </th>
              <th *tuiHead="'minus'" tuiTh [sorter]="null" [resizable]="false">
                Энергия в минусе
              </th>
            </tr>
          </thead>
          <tbody tuiTbody>
            <tr tuiTr>
              <td *tuiCell="'plus'" tuiTd>
                <ul
                  *ngFor="
                    let meaning of showTextOuterCircle(circle).meaning_positive
                  "
                  class="tui-list tui-list_triangle"
                >
                  <li class="tui-list__item">{{ meaning }}</li>
                </ul>
              </td>
              <td *tuiCell="'minus'" tuiTd>
                <ul
                  *ngFor="
                    let meaning of showTextOuterCircle(circle).meaning_negative
                  "
                  class="tui-list tui-list_triangle"
                >
                  <li class="tui-list__item">{{ meaning }}</li>
                </ul>
              </td>
            </tr>
          </tbody>
        </table>
      </div></ng-template
    >
  </div>
  <div
    *ngIf="central_number.num"
    tuiDropdownHover
    [tuiDropdown]="content_central"
    [tuiDropdownHideDelay]="0"
    (click)="showTextCentralCircle(central_number)"
    class="circle central_circle"
  >
    {{ central_number.num }}
  </div>
  <ng-template #content_central>
    <div class="tui-space_vertical-2 tui-space_horizontal-2">
      <table tuiTable [columns]="columns" class="tui-space_bottom-3">
        <thead>
          <tr tuiThGroup>
            <th *tuiHead="'plus'" tuiTh [sorter]="null" [resizable]="false">
              Энергия в плюсе
            </th>
            <th *tuiHead="'minus'" tuiTh [sorter]="null" [resizable]="false">
              Энергия в минусе
            </th>
          </tr>
        </thead>
        <tbody tuiTbody>
          <tr tuiTr>
            <td *tuiCell="'plus'" tuiTd>
              <ul
                *ngFor="
                  let meaning of showTextCentralCircle(central_number)
                    .meaning_positive
                "
                class="tui-list tui-list_triangle"
              >
                <li class="tui-list__item">{{ meaning }}</li>
              </ul>
            </td>
            <td *tuiCell="'minus'" tuiTd>
              <ul
                *ngFor="
                  let meaning of showTextCentralCircle(central_number)
                    .meaning_negative
                "
                class="tui-list tui-list_triangle"
              >
                <li class="tui-list__item">{{ meaning }}</li>
              </ul>
            </td>
          </tr>
        </tbody>
      </table>
    </div></ng-template
  >
  <img src="../../assets/matrix.png" />
</div>
